import os
import mel_parser


def main():
    prog = mel_parser.parse('''
        input a input b  /* comment 1
        input c
        */
        c = a + b * (2 - 1) + 0  // comment 2
        output c + 1
        
        if (a + b)
            while (a)
                a = a + b
        else
            if (1)
                a = a + b
                
        for (; ; a = a + 1) {
            c = c + 1
            output c
        }
    ''')
    print(*prog.tree, sep=os.linesep)


if __name__ == "__main__":
    main()
